package com.jxml.quick.util.qjml4;
import com.jxml.quick.*;
import java.io.PrintWriter;
import java.util.ArrayList;
import org.xml.sax.*;

public abstract class QGBase extends QConverterSupport implements QGBaseIntf {

    public QGBase() {
    }
    
    // to override:
        // for print:
    public abstract void print(PrintWriter pw, String indent);
    
    
    /** print a summary of this object */
    public void print(PrintWriter pw) {
        print(pw, "");
        pw.flush();
    }

    public void cvt()
	throws SAXException
    {
    }
}
